<div class="container">
	<div class="row">
		<h3>Vendor Managament</h3>
	</div>

	<app-alert></app-alert>

	<div class="row">
		<h4>Operations</h4>
	</div>
	
	<div class="row">
		<div class="col-sm">

			<a class="btn btn-success btn-add-operation" (click)="addVendor();">Add</a>

		</div>
	</div>

	<div class="row">
		<table class="table">
			<thead>
				<tr>
					<th scope="col">#</th>
					<th scope="col">id</th>
					<th scope="col">Firstname</th>
					<th scope="col">Lastname</th>
					<th scope="col">See stalls</th>
					<th scope="col">Edit</th>
					<th scope="col">Delete</th>
				</tr>
			</thead>
			<tbody *ngFor="let vendor of vendors; index as i">
				<tr>
					<td>{{ i + 1 }}</td>
					<td>{{ vendor.id }}</td>
					<td>{{ vendor.firstname }}</td>
					<td>{{ vendor.name }}</td>

					<td><a class="btn btn-success" (click)="toggleCollapseForVendorStalls(collapseRow, vendor.id)">banchi</a></td>
					<td><a class="btn btn-warning" (click)="editVendor(vendor)">edit</a></td>
					<td><a class="btn btn-danger" (click)="deleteVendor(vendor)">delete</a></td>
				</tr>

				<tr>
					<div #collapseRow class="d-none">
						<div class="card" *ngIf="vendorStalls.size !== 0">
							<div class="card-body">
								
									<h4 class="card-title">Aggiungere Banco</h4>
									
									<div class="row">
										<div class="col-sm">
											<a class="btn btn-success btn-add-operation" (click)="openNewStallPopup(vendor)">add</a>
										</div>
									</div>

									<table class="table"> 
									
										<thead>
											<th scope="col">#</th>
											<th scope="col">id</th>
											<th scope="col">name</th>
											<th scope="col">city</th>
											<th scope="col">description</th>
											<th scope="col">add</th>
											<th scope="col">Delete</th>
										</thead>
										<tbody *ngFor="let vendorStall of vendorStalls.get(vendor.id); index as i">
											<tr>
												<td>{{ i + 1 }}</td>
												<td>{{ vendorStall.id }}</td>
												<td>{{ vendorStall.name }}</td>
												<td>{{ vendorStall.city }}</td>
												<td>{{ vendorStall.description }}</td>
												<td><a class="btn btn-danger" (click)="deleteStallFromVendor(vendor, vendorStall)">delete</a></td>
											</tr>
										</tbody>
									</table>
							</div>
						</div>
					</div>
				</tr>

			</tbody>
		</table>		
	</div>
</div>